%define modname phar
%define soname %{modname}.so
%define inifile A63_%{modname}.ini

Summary:	Allows running of complete applications out of .phar files
Name:		php-%{modname}
Version:	2.0.0
Release:	%mkrel 2
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/phar
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Requires:	php-bz2
Requires:	php-hash
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is the extension version of PEAR's PHP_Archive package. Support for
zlib, bz2 and crc32 is achieved without any dependency other than the external
zlib or bz2 extension.

.phar files can be read using the phar stream, or with the Phar class. If the
SPL extension is available, a Phar object can be used as an array to iterate
over a phar's contents or to read files directly from the phar.

Phar archives can be created using the streams API or with the Phar class, if
the phar.readonly ini variable is set to false.

Full support for MD5 and SHA1 signatures is possible. Signatures can be
required if the ini variable phar.require_hash is set to true. When PECL
extension hash is avaiable then SHA-256 and SHA-512 signatures are supported as
well.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[phar]
;phar.extract_list=
phar.readonly=Off
phar.require_hash=Off
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS LICENSE TODO package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-2mdv2010.0
+ Revision: 451340
- rebuild

* Wed Jul 29 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-1mdv2010.0
+ Revision: 403388
- 2.0.0

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 2.0.0-0.1.RC2.2mdv2010.0
+ Revision: 397577
- Rebuild

* Sat Jun 06 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.1.RC2.1mdv2010.0
+ Revision: 383325
- 2.0.0RC2
- rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.1.RC1.5mdv2009.1
+ Revision: 346594
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.1.RC1.4mdv2009.1
+ Revision: 341786
- rebuilt against php-5.2.9RC2

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.1.RC1.3mdv2009.1
+ Revision: 323030
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.1.RC1.2mdv2009.1
+ Revision: 310295
- rebuilt against php-5.2.7

* Tue Sep 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.1.RC1.1mdv2009.0
+ Revision: 283046
- 2.0.0RC1

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.b1.2mdv2009.0
+ Revision: 238419
- rebuild

* Tue May 13 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.b1.1mdv2009.0
+ Revision: 206558
- 2.0.0b1

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-3mdv2009.0
+ Revision: 200257
- rebuilt for php-5.2.6

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-2mdv2008.1
+ Revision: 162234
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 23 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1mdv2008.1
+ Revision: 111656
- 1.2.3

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-2mdv2008.1
+ Revision: 107709
- restart apache if needed

* Sat Oct 13 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-1mdv2008.1
+ Revision: 97904
- 1.2.2

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-1mdv2008.0
+ Revision: 79349
- Import php-phar



* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-1mdv2008.0
- initial Mandriva package
